<?php
if (!defined('SMF'))
die('Hacking attempt...');

function kiwiirc_actions(&$actionArray)
 {
     $actionArray += array('chat' => array('Chat.php', 'chat'));
 }
 
function kiwiirc_menu_buttons(&$buttons)
 {
    global $scripturl, $txt,  $context, $modSettings;
	loadLanguage('kiwiirc');
	$context['allow_chat'] = allowedTo('chat_view');
     
    if (isset($modSettings['kiwinameLink']) && ($modSettings['kiwinameLink']) != '') {
	$context['link_title'] = $modSettings['kiwinameLink'];
	} 
	else {
	$context['link_title'] = $txt['chat'];
	}
     $buttons['kiwiirc'] = array(
         'title' => $context['link_title'],
         'href' => $scripturl . '?action=chat', 
         'target' =>'_blank',
		 'show' => $context['allow_chat'],
		 'icon' => 'icons/ballonsmiley.png',
     );
 }

function kiwiircSettings(&$subActions) {
      
  $subActions['chat'] = 'ModifyChatSettings';
}

function kiwiircAdmin(&$admin_areas)
{
	global $txt;
   loadLanguage('kiwiirc');
	$admin_areas['config']['areas']['modsettings']['subsections']['chat'] = array($txt['mods_cats_kiwiirc']);
}

function ModifyChatSettings($return_config = false)
{
	
	global $txt, $scripturl, $context, $settings;

	loadLanguage('kiwiirc');
	$config_vars = array(
			$txt['goTo'],
			//IRC Name
			array('text', 'kiwinameLink'),
			array('text', 'kiwinamePage'),
			// config irc
			array('text', 'configIrc'),
			// size
			array('int', 'widthIrc'),
			array('int', 'heightIrc'),
			
	);

	

	// Saving?
	if (isset($_GET['save']))
	{
		checkSession();

		saveDBSettings($config_vars);
		writeLog();

		redirectexit('action=admin;area=modsettings;sa=chat');
	}

	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=chat';
	$context['settings_title'] = $txt['mods_cats_kiwiirc'];

	prepareDBSettingContext($config_vars);
}

function kiwiircPermission(&$permissionGroups, &$permissionList)
{ 
    $permissionList['membergroup'] += array(
        'chat_view' => array(false, 'general')
    );
}


function Chat() {
	global $txt, $scripturl, $context, $settings, $options, $modSettings;
	loadLanguage('kiwiirc');
	isAllowedTo('chat_view');
	
	loadTemplate('kiwiirc');
	
	 $context['sub_template'] = 'kiwiirc';   
	 
	if (isset($modSettings['kiwinamePage']) && ($modSettings['kiwinamePage']) != '') {
	$context['page_title'] =$modSettings['kiwinamePage'];
	} 
	else {
	$context['page_title'] = $txt['chat_title'];
	}	
if (isset($modSettings['kiwinameLink']) && ($modSettings['kiwinameLink']) != '') {
	$context['link_title'] = $modSettings['kiwinameLink'];
	} 
	else {
	$context['link_title'] = $txt['chat'];
	}
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=chat',
		'name' => $context['link_title'],    
	);	
}

?>